%define targetfile /etc/syslog.conf

Summary: Log your system logs to the Fermi central logger
Name: zz_use_clogger
Version: 1.0
Release: 1
License: GPL
Group: Fermi
BuildArch: noarch
Requires: sysklogd

%description
This package will change your syslog.conf file that will
send all of your logs to the Fermilab central logger.
It does a condictional restart of your syslog so that it will 
reread this new configuration.

%triggerin -- sysklogd
if [ -f %{targetfile} ] ; then
	if `grep -q '^[^#].*clogger' %{targetfile}` ; then
		sed -i -e "s:.*@clogger.fnal.gov:\#&\n\*.\*		@clogger.fnal.gov:"  %{targetfile}
	else
		echo "" >> %{targetfile}
		echo "# We are going to log everything to a central logger" >> %{targetfile}
		echo "*.*		@clogger.fnal.gov" >> %{targetfile}
	fi
	/etc/init.d/syslog condrestart
fi

%postun
if [ $1 -eq 0 ]; then
  if [ -f %{targetfile} ] ; then
	if `grep -q clogger %{targetfile}` ; then
		sed -i -e "s:.*@clogger.fnal.gov:\#&:"  %{targetfile}
	fi
	/etc/init.d/syslog condrestart
  fi
fi

%files

%changelog
* Mon Apr 20 2009 Troy Dawson <dawson@fnal.gov> 1.0-1
- First go round

